Subject: Re: I-D Action:draft-krishnan-6man-header-reserved-bits-00.txt

From: Ingemar Johansson S <[email-masked]>
Date: Mon, 1 Nov 2010 20:13:16 +0100

Hi

I have followed this discussion with interest. In the ConEx WG it has been discussed to use an extension header for the ConEx information. Given that the ConEx information can possibly fit in one bit (re-ECN implementation) it seems to be a slight overkill to use a header extension for this purpose (add to this the discussion around other issues with header extension).
For this reason I believe that it would be good to have a few of the flow label bits reserved for future use. One such use would be ConEx. I can't say if one bit is sufficient. Re-ECN seems to be OK with 1 bit but with ConEx I belive one will have to wait for he discussion around the abstract marking to become more clear before a discussion of number of bits takes place.

/Ingemar

> 
> ------------------------------
> 
> Message: 6
> Date: Mon, 1 Nov 2010 13:56:45 -0400
> From: Suresh Krishnan <[email-masked]>
> Subject: Re: I-D
> 	Action:draft-krishnan-6man-header-reserved-bits-00.txt
> To: Tina Tsou <[email-masked]>
> Cc: "[email-masked]" <[email-masked]>
> Message-ID: <[email-masked]>
> Content-Type: text/plain; charset="windows-1252"; format=flowed
> 
> Hi Tina,
> 
> On 10-10-29 02:39 PM, Tina Tsou wrote:
> >  
> > 
> >  
> > 
> > Best Regards,
> > 
> > Tina TSOU
> > 
> > http://tinatsou.weebly.com/contact.html
> > 
> >  
> > 
> > -----Original Message-----
> > 
> > From: [email-masked] [mailto:[email-masked]] 
> On Behalf Of 
> > Suresh Krishnan
> > 
> > Sent: Thursday, October 28, 2010 9:01 AM
> > 
> > To: R?mi Despr?s
> > 
> > Cc: 6man 6man; George, Wes E IV [NTK]; Guolinag Yang; Yiu 
> Lee; Christian 
> > Huitema; Brian Carpenter
> > 
> > Subject: Re: I-D 
> Action:draft-krishnan-6man-header-reserved-bits-00.txt
> > 
> >  
> > 
> > Hi Remi,
> 
> <snip>
> 
> >  >>> ....
> > 
> >  >> My point was, if we need to change the nodes at both ends to
> > 
> >  >> implement a
> > 
> > new use of the flow label, the backward compatibility 
> argument is moot.
> > 
> >  >
> > 
> >  > Right "if we need to change the nodes at both ends", but 
> we don't.
> > 
> >  
> > 
> > As I said before, for draft-zhou, we need to.
> > 
> >  
> > 
> > [Suresh, thank you for taking time reading draft-zhou. As 
> the author, I 
> > don?t see why we need to modify the Flow label at both ends in 
> > draft-zhou. Why do you say that? What?s the technical 
> reason? Thanks.]
> 
> I said *the nodes* at both ends need to be modified to 
> support the flow 
> label scheme. The flow label does not necessarily need to get 
> modified 
> at both ends.
> 
> Thanks
> Suresh
> 
> 
> ------------------------------
> 
> _______________________________________________
> ipv6 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ipv6
> 
> 
> End of ipv6 Digest, Vol 79, Issue 1
> ***********************************
>